This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1480669 - Block Storage manager's detail is not highlighted in menu navigation
Block Storage manager's detail is not highlighted in menu navigation
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Martin Povolny
Matouš Mojžíš
general:ui:storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 12:44 EDT by Matouš Mojžíš
Modified: 2017-08-16 14:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
menu_not_highlighted (81.18 KB, image/png)
2017-08-11 12:45 EDT, Matouš Mojžíš
no flags Details

  None (edit)
Description Matouš Mojžíš 2017-08-11 12:44:43 EDT
Description of problem:


Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:


Steps to Reproduce:
1. Have an ec2 provider
2. Go to Storage -> Block Storage -> Storage Managers -> ec2 ebs storage manager
3. Then in menu drag your mouse on Storage

Actual results:
Storage manager menu navigation path is not highlighted

Expected results:


Additional info:
Comment 2 Matouš Mojžíš 2017-08-11 12:45 EDT
Created attachment 1312194 [details]
menu_not_highlighted
Comment 4 Martin Povolny 2017-08-15 14:48:36 EDT
So when I select:

2. Go to Storage -> Block Storage -> Storage Managers

in the menu,

I get the menu sections (and item) properly highlighted

guess I need to click on a "ec2 ebs storage manager" to see the issue, right?

Can you help me get some data for that? I don't have such storage manager in my DB (or credentials).

Can you send me some test credentials please?
Comment 5 Martin Povolny 2017-08-15 16:35:40 EDT
I figured that is the case.
Comment 6 Martin Povolny 2017-08-16 14:33:56 EDT
One problem here is that: 

Go to Storage -> Block Storage -> Storage Managers -- > "a ec2 storage manager"

leads to the same place as:

Go to Storage -> Object Storage -> Storage Managers -- > "a ec2 storage manager"


Another is that the controller that handles the list of items (list of storage managers) is different to the controller that handles a single storage manager.

These 2 facts don't play well with the menus and fixing this might either involve 

a) a significant reorganization of the code/refactoring or 

b) an ugly hack that would deal with remembering how the user got to that particular place

c) reorganization of the menus (such as not having 2 lists of storage managers)

Note You need to log in before you can comment on or make changes to this bug.